Subject: Re: bug#20493: 25.0.50; next-error in change-log-mode can hide its buffer

From: Juri Linkov <[email-masked]>
Date: Sat, 21 Apr 2018 22:53:05 +0300

>> This is finally implemented.
>
> Thanks, but I think the documentation that accompanies these changes
> should be augmented/improved:
>
>   . next-error-select-buffer should be documented in the Emacs manual
>   . the doc string of next-error-select-buffer should be expanded to
>     explain the effect of selecting a buffer.  The current text is
>     quite cryptic, IMO: "set it as the last used."  The meaning of
>     "last used" in this context should be explained.
>   . next-error-find-buffer-function should perhaps be mentioned in the
>     Emacs manual and/or the ELisp manual.
>   . the doc string of next-error-find-buffer-function should describe
>     the arguments with which it is called, what possible values it can
>     return, and the meaning of each returned value.

Done.  I'll try not to forget about updating the documentation and NEWS
for future changes.